import request from '@/utils/request'

// 查询配网参数配置列表
export function listPar(query) {
  return request({
    url: '/powerdistribution/par/list',
    method: 'get',
    params: query
  })
}
// 查询配网参数配置列表
export function listByParType(query) {
  return request({
    url: '/powerdistribution/par/listByParType',
    method: 'get',
    params: query
  })
}
// 查询配网参数配置详细
export function getPar(id) {
  return request({
    url: '/powerdistribution/par/' + id,
    method: 'get'
  })
}

// 新增配网参数配置
export function addPar(data) {
  return request({
    url: '/powerdistribution/par',
    method: 'post',
    data: data
  })
}

// 修改配网参数配置
export function updatePar(data) {
  return request({
    url: '/powerdistribution/par',
    method: 'put',
    data: data
  })
}

// 删除配网参数配置
export function delPar(id) {
  return request({
    url: '/powerdistribution/par/' + id,
    method: 'delete'
  })
}
